%define _requires_exceptions devel\(libdns_sd\(.*\)\\|devel\(libdns_sd\)

%define __libtoolize    /bin/true

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%define lib_major 1
%define lib_name_orig libkdegames
%define lib_name %mklibname kdegames %{lib_major}

Name:		kdegames
Summary:	KDE - Games
Version:        3.5.7
Release:        %mkrel 3
Epoch:		1
Group:		Graphical desktop/KDE
License:	GPL
URL:            ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source:	        ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
Patch0:	        kdegames-3.5.0-add-support-avahi.patch
Patch1:         post-3.5.7-kdegames-fix-categories.patch
BuildRoot:	%_tmppath/%name-%version-%release-root
Obsoletes:	kdegames3
Provides:	kdegames3 = %epoch:%version-%release
Requires:	%lib_name = %epoch:%version-%release
BuildRequires:  X11-devel
BuildRequires:  freetype2-devel 
BuildRequires:  kdelibs-devel
BuildRequires:  alsa-lib-devel 
BuildRequires:  arts-devel  
BuildRequires:  audiofile-devel
BuildRequires:  bzip2-devel 
BuildRequires:  jpeg-devel 
BuildRequires:  lcms-devel
BuildRequires:  mng-devel 
BuildRequires:  png-devel 
BuildRequires:  qt3-devel
BuildRequires:  libz-devel
BuildRequires:  automake1.7
BuildRequires:  qt3-doc
BuildRequires:  avahi-compat-libdns_sd-devel
BuildRequires:	mesaglu-devel
BuildRequires:	libx11-devel
%if %compile_apidox
BuildRequires:  doxygen
BuildRequires:  graphviz
%endif
Obsoletes:	ktron kjumpingcube
Provides:	ktron kjumpingcube
Requires:	arts
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Games for the K Desktop Environment.
This is a compilation of various games for KDE project
	- atlantik: Monopoly-like board games
	- kabalone: board game: move 6 pieces from your opponent over the edge
	- kasteroids: shoot at those nasty asteroids
	- katomic: build complex atoms with a minimal amount of moves
	- kbackgammon: play backgammon against a local human player, via a
               game server or against GNU Backgammon (not included)
	- kbattleship: battleship game with built-in game server
	- kblackbox: find atoms in a grid by shooting electrons
	- kfouleggs: a famous japanese game known as puyo-puyo
	- kbounce: claim areas and don't get disturbed
	- kjumpingcube: a tactical game for number-crunchers
	- klines: place 5 equal pieces together, but wait, there are 3 new ones
	- mahjongg: a tile laying patience
	- kmines: the classical mine sweeper
	- kolf: a golf game
	- konquest: conquer the planets of your enemy
	- kpat: several patience card games
	- kpoker: the game of poker
	- kreversi: the old reversi board game, also known as othello
	- ksame: collect pieces of the same color
	- kshisen: patience game where you take away all pieces
	- ksirtet: very known if spelt this backwards
	- ksmiletris: another Tetris-like game
	- ksnake: don't bite yourself, eat apples!
	- ksokoban: move all storage boxes into the cabinet
	- kspaceduel: two player game with shooting spaceships flying around a sun
	- ktron: like ksnake, but without fruits
	- ktuberling: kids game: make your own potato (NO french fries!)
	- kwin4: place 4 pieces in a row
	- libkdegames: KDE game library used by many of these programs
	- lskat: lieutnant skat
	- megami: blackjack card game

%post
%update_menus
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun
%clean_menus
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files 
%defattr(-,root,root)
%doc %_docdir/HTML/en/*/*
%exclude %_docdir/HTML/en/kdegames-apidocs
%attr(0755,root,root) %_bindir/*
%dir %_datadir/applications/kde/
%_datadir/applications/kde/*.desktop
%_datadir/apps/*/*
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
%dir %_datadir/services/
%_datadir/services/*.protocol
%dir %_datadir/config/magic
%_datadir/config/magic/*.magic
%_iconsdir/*/*/*/*
%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/*.kcfg

#---------------------------------------------------------------------------

%package -n %lib_name-devel
Summary:	Headers files for kdegames
Group:		Development/KDE and Qt
Requires:	%lib_name = %epoch:%version-%release

Obsoletes:  kdegames3-devel
Provides:   kdegames3-devel

Obsoletes:  kdegames-devel
Provides:   kdegames-devel = %epoch:%version-%release
Provides:   %lib_name_orig-devel = %epoch:%version-%release

%description -n %lib_name-devel
Headers files needed to build applications based on kdegames applications.

%files -n %lib_name-devel
%defattr(-,root,root,-)
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%if %compile_apidox
%doc %_docdir/HTML/en/kdegames-apidocs/*
%endif
%exclude %_libdir/libkdeinit_*.so

#---------------------------------------------------------------------------

%package -n %lib_name
Group:      Graphical desktop/KDE
Summary:    Libraries for kdegame
Provides:   %lib_name_orig = %epoch:%version-%release
Conflicts:	kdegames <= 3.1-11mdk

%post -n %lib_name -p /sbin/ldconfig
%postun -n %lib_name -p /sbin/ldconfig

%description -n %lib_name
Libraries for the K Desktop Environment.

%files -n %lib_name
%defattr(-,root,root,-)
%_libdir/*.la
%_libdir/*.so.*
%_libdir/libkdeinit_*.so
%_libdir/kde3/*

#---------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .add_avahi_support
%patch1 -p0
%build
make -f admin/Makefile.common cvs

export QTDIR=%qtdir
export KDEDIR=%_prefix

%configure2_5x \
%if %unstable
    --enable-debug=full \
%else
    --disable-debug \
%endif
    --enable-shared \
%if %use_enable_final
    --enable-final \
%else
    --disable-final \
%endif
    --disable-static \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
    --disable-embedded \
    --disable-qtopia \
    --disable-rpath \
    --with-gnu-ld \
    --with-pic \
    --with-extra-includes=/usr/include/avahi-compat-libdns_sd/ \
    --with-xinerama

%make

%if %compile_apidox
make apidox
%endif


%install
rm -fr %buildroot

make DESTDIR=%buildroot/ install

%clean
rm -fr %buildroot




%changelog
* Fri Aug 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.7-3mdv2008.0
+ Revision: 61629
- Fix categories and add some OnlyShowIn

* Mon May 21 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-2mdv2008.0
+ Revision: 29259
- kdeinit libraries are modules, not development libraries. Moving for proper package

* Wed May 16 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-1mdv2008.0
+ Revision: 27454
- 3.5.7 release
- Removed old related icons to debian like menu


* Thu Feb 01 2007 Laurent Montel <lmontel@mandriva.com> 3.5.6-1mdv2007.0
+ Revision: 115845
- 3.5.6

* Thu Dec 21 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-5mdv2007.1
+ Revision: 100932
- Fix typo found by Blino
- Fix spec file

* Fri Nov 03 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-3mdv2007.1
+ Revision: 76072
- Rebuild

* Thu Oct 26 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-2mdv2007.1
+ Revision: 72785
- Rebuild
- 3.5.5
- New version (2006/08/03 3.5.4-1mdv)
- compile under x86_64
- Use macro
- 3.5.3
- Rebuild against new xorg
- Rebuild to generate category
- 3.5.2
- Fix build on mdk <=2006
- Fix spec file
  Fix avahi support
- kde3.5.1
- MDK9.2 is obsolete now
- Fix spec file (bug found by nicolas Chipaux)
- Add support for avahi
- Fix twice kgoldrunner bug found by Nicolas Chipaux
- Use avahi
- Fix spec file
- Real 3.5.0
- 3.5.0 (named rc1)
- Fix spec file
- 3.4.92
- Rebuild
- New sync to fix kmines program
  Clean spec file
  Use --libsuffix
- Forgot to increase version number
- Add diff
  Use %%mkrel
  Fix attribute
- Fix attribute of file
  TODO search why it's suid by default
- Fix group
- 3.4.2

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - We are Mandriva now
    - Increase release number
    - Fixed klickety bug http://qa.mandriva.com/show_bug.cgi?id=17295. No bindir files must be suid root.
    - Uploading package ./kdegames

* Tue May 17 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-6mdk
- Rebuild for missing package

* Sat May 07 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-5mdk
- Sync with CVS

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Rebuild

* Mon Apr 18 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Fix depend

* Sat Apr 16 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-2mdk
- Use --enable-new-ldflags 
- Reactivate debug
- Change email
- Reactivate -fvisibility same as for ppc

* Tue Apr 05 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Add patch4: fix kbounce kde bug #96841

* Fri Feb 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Fix export

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Disable debug

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Add patch3: fix atlantik url

* Mon Jan 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Disable visibility for ppc

* Tue Jan 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Use -f visibility

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-6mdk
- Requires arts

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-5mdk
- Bye-bye %%buildfor

* Wed Oct 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- Sync with CVS

* Sat Oct 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Fix spec file

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2

* Sat Oct 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Fri Sep 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3..0

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Rebuild for new menu translation tabl

* Sat Aug 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Remove debug

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Fix spec file

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Fix remove rpath

* Sat Jul 10 2004 Laurent Montel <lmontel@mandrakesoft.com> 3.2.3-4mdk
- generate doc

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Rebuild with new kdelibs

* Wed Jun 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Sync with CVS

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Rebuild

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- rebuild with debug

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild again qt 3.3.2

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file for using rpmbuildupdate

* Sat Apr 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Use %%configure
- Use mdkversion

* Thu Mar 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- Fix bug #77170

* Fri Mar 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Fix Group
- Fix epoch

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Sync with CVS

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Fix katomic bug

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Rebuild with good kdedesktop2mdkmenu.pl

* Thu Feb 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Sync with CVS

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Sync with CVS

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Fix pb into spec file (distint)

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

